Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class MethodHandleImpl

    java.lang.Object
      org.apache.tapestry5.internal.plastic.MethodHandleImpl

All Implemented Interfaces:
  MethodHandle

    public class MethodHandleImpl

extends java.lang.Object
implements MethodHandle

Field Summary
`protected PlasticClassHandleShim` | `shim`

Constructor Summary
`MethodHandleImpl(java.lang.String className, java.lang.String methodDescription, int methodIndex)`

Method Summary
`MethodInvocationResult` | `invoke(java.lang.Object instance, java.lang.Object... arguments)` Invokes the method for this handle on the instance.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### shim

    protected volatile PlasticClassHandleShim shim

Constructor Detail

### MethodHandleImpl

    public MethodHandleImpl(java.lang.String className,
                            java.lang.String methodDescription,
                            int methodIndex)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### invoke

    public MethodInvocationResult invoke(java.lang.Object instance,
                                         java.lang.Object... arguments)

  Description copied from interface: `MethodHandle`
  Invokes the method for this handle on the instance.

  Specified by:
    `invoke` in interface `MethodHandle`
  Parameters:
    `instance` - the instance containing the method to invoke
    `arguments` - the arguments, if any, to pass to the method. Wrapper types will be unwrapped as necessary to perform the invocation.
  Returns:
    result object encapsulating the actual return value or the checked exception thrown by the method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.